Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

[Help]QT 5.13.2 for Windows 10 worked troubled with Visual studio 2019



  • Hi there,

    These days, I have been trying to use VS2019 to develop QT applications on Windows10(Verison: 10.0.18362), create a new QT Designer Custom Widget project in VS2109 (Version: 16.0.4), and then try to compile. VS2019 keeps outputting this information without generating a target executable file. This information is as follows,
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)
    1>Reading Qt configuration (D:\Qt\Qt5.13.2\5.13.2\msvc2017_64\bin\qmake.exe)

    In QT I only installed mingw73_64 and msvc2017_64, QT for VS2019 I configured the correct path: D: \ Qt \ Qt5.13.2 \ 5.13.2 \ msvc2017_64.
    Do you any ideas for this? Thanks.


  • Lifetime Qt Champion

    Hi and welcome to devnet,

    Is D: a network drive ?



  • @SGaist This "D" is local Disk for windows10,drive letter is D. Not network drive.


  • Lifetime Qt Champion

    @Kevin_Zhou the drive letters and their type are two unrelated things. You can have network drives mapped to letters hence my question.

    Did you check the date related fields of your .pro file ?



  • @SGaist Thanks.
    My computer is not connected to the Internet, and I cannot mount any network disk to this machine. All programs and software (including Windows systems) are on a Western Digital mechanical hard drive.

    I looked for the project created by the QT VS plugin and did not find the .pro file. I found the .pro file by importing the project created by Qt Creator. But I can't judge correctness.
    .pro file content is as follows,

    #-------------------------------------------------

    Project created by QtCreator 2019-12-09T10:45:13

    #-------------------------------------------------

    QT += core gui

    greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

    TARGET = untitled
    TEMPLATE = app

    The following define makes your compiler emit warnings if you use

    any feature of Qt which has been marked as deprecated (the exact warnings

    depend on your compiler). Please consult the documentation of the

    deprecated API in order to know how to port your code away from it.

    DEFINES += QT_DEPRECATED_WARNINGS

    You can also make your code fail to compile if you use deprecated APIs.

    In order to do so, uncomment the following line.

    You can also select to disable deprecated APIs only up to a certain version of Qt.

    #DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000 # disables all the APIs deprecated before Qt 6.0.0

    CONFIG += c++11

    SOURCES +=
    main.cpp
    QWDlgmanual.cpp

    HEADERS +=
    QWDlgmanual.h

    Default rules for deployment.

    qnx: target.path = /tmp/$${TARGET}/bin
    else: unix:!android: target.path = /opt/$${TARGET}/bin
    !isEmpty(target.path): INSTALLS += target



  • About this issue, I just change QT VS plugin verison to qt-vsaddin-msvc2019-2.4.1.vsix, Compiled and worked good.


  • Lifetime Qt Champion

    Great ! Glad you found out and thanks for sharing !


Log in to reply